Composer : you must enable the openssl extension

Le partage, c’est bien quand c’est utile :

RuntimeException : you must enable the openssl extension to download files via https, une erreur est survenue avec Composer … et tu ne sais pas où activer cette fameuse extension openssl ? Voici la solution !

you must enable the openssl extension

Il faut dé-commenter une ligne du fichier php.ini de votre serveur local. Tout simplement.L’erreur que nous faisons souvent sous Wamp, c’est de passer par l’icône verte pour accéder à ce fichier, mais le problème c’est que ce n’est pas le fichier de configuration de PHP mais celui de Wamp.

Voici donc la solution si vous désespérez fasse à cette erreur.

  • Accédez au fichier php.ini de PHP via : wamp/bin/php/php(numéro de la version php)/.
  • Recherchez la ligne  : ;extension=php_openssl.dll.
  • Retirez le point-virgule pour activer l’extension.
  • Redémarrez votre serveur et dites adieu à ce mauvais passage.
Le partage, c’est bien quand c’est utile :